## org.apache.commons.math3.optimization
Interface DifferentiableMultivariateVectorOptimizer

All Superinterfaces:
  BaseMultivariateVectorOptimizer<DifferentiableMultivariateVectorFunction>, BaseOptimizer<PointVectorValuePair>

All Known Implementing Classes:
  AbstractLeastSquaresOptimizer, DifferentiableMultivariateVectorMultiStartOptimizer, GaussNewtonOptimizer, LevenbergMarquardtOptimizer

    public interface DifferentiableMultivariateVectorOptimizer

extends BaseMultivariateVectorOptimizer<DifferentiableMultivariateVectorFunction>

This interface represents an optimization algorithm for `vectorial differentiable objective functions`.

Since:
  3.0
Version:
  $Id: DifferentiableMultivariateVectorOptimizer.java 1244107 2012-02-14 16:17:55Z erans $

Method Summary

Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateVectorOptimizer
`optimize`

Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer
`getConvergenceChecker, getEvaluations, getMaxEvaluations`

Copyright (c) 2003-2013 Apache Software Foundation